<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TestLoggingContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TestLoggingContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestStackTraceFilter.html" title="enum in org.gradle.api.tasks.testing.logging"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/api/tasks/testing/logging/TestLoggingContainer.html" target="_top">Frames</a></li>
<li><a href="TestLoggingContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.testing.logging</div>
<h2 title="Interface TestLoggingContainer" class="title">Interface TestLoggingContainer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">TestLoggingContainer</span>
extends <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></pre>
<div class="block">Container for all test logging related options. Different options
 can be set for each log level. Options that are set directly (without
 specifying a log level) apply to log level LIFECYCLE. Example:

 <pre class='autoTested'>
 apply plugin: 'java'

 test {
     testLogging {
         // set options for log level LIFECYCLE
         events "failed"
         exceptionFormat "short"

         // set options for log level DEBUG
         debug {
             events "started", "skipped", "failed"
             exceptionFormat "full"
         }

         // remove standard output/error logging from --info builds
         // by assigning only 'failed' and 'skipped' events
         info.events = ["failed", "skipped"]
     }
 }
 </pre>

 The defaults that are in place show progressively more information
 on log levels WARN, LIFECYCLE, INFO, and DEBUG, respectively.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#debug(org.gradle.api.Action)">debug</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</code>
<div class="block">Configures logging options for debug level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#error(org.gradle.api.Action)">error</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</code>
<div class="block">Configures logging options for error level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#get(org.gradle.api.logging.LogLevel)">get</a></strong>(<a href="../../../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level)</code>
<div class="block">Returns logging options for the specified level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#getDebug()">getDebug</a></strong>()</code>
<div class="block">Returns logging options for debug level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#getError()">getError</a></strong>()</code>
<div class="block">Returns logging options for error level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#getInfo()">getInfo</a></strong>()</code>
<div class="block">Gets logging options for info level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#getLifecycle()">getLifecycle</a></strong>()</code>
<div class="block">Returns logging options for lifecycle level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#getQuiet()">getQuiet</a></strong>()</code>
<div class="block">Returns logging options for quiet level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#getWarn()">getWarn</a></strong>()</code>
<div class="block">Gets logging options for warn level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#info(org.gradle.api.Action)">info</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</code>
<div class="block">Configures logging options for info level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#lifecycle(org.gradle.api.Action)">lifecycle</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</code>
<div class="block">Configures logging options for lifecycle level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#quiet(org.gradle.api.Action)">quiet</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</code>
<div class="block">Configures logging options for quiet level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#setDebug(org.gradle.api.tasks.testing.logging.TestLogging)">setDebug</a></strong>(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</code>
<div class="block">Sets logging options for debug level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#setError(org.gradle.api.tasks.testing.logging.TestLogging)">setError</a></strong>(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</code>
<div class="block">Sets logging options for error level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#setInfo(org.gradle.api.tasks.testing.logging.TestLogging)">setInfo</a></strong>(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</code>
<div class="block">Sets logging options for info level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#setLifecycle(org.gradle.api.tasks.testing.logging.TestLogging)">setLifecycle</a></strong>(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</code>
<div class="block">Sets logging options for lifecycle level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#setQuiet(org.gradle.api.tasks.testing.logging.TestLogging)">setQuiet</a></strong>(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</code>
<div class="block">Sets logging options for quiet level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#setWarn(org.gradle.api.tasks.testing.logging.TestLogging)">setWarn</a></strong>(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</code>
<div class="block">Sets logging options for warn level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLoggingContainer.html#warn(org.gradle.api.Action)">warn</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</code>
<div class="block">Configures logging options for warn level.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.testing.logging.TestLogging">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.tasks.testing.logging.<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a></h3>
<code><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#events(java.lang.Object...)">events</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getDisplayGranularity()">getDisplayGranularity</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getEvents()">getEvents</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getExceptionFormat()">getExceptionFormat</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getMaxGranularity()">getMaxGranularity</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getMinGranularity()">getMinGranularity</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getShowCauses()">getShowCauses</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getShowExceptions()">getShowExceptions</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getShowStackTraces()">getShowStackTraces</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getShowStandardStreams()">getShowStandardStreams</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#getStackTraceFilters()">getStackTraceFilters</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setDisplayGranularity(int)">setDisplayGranularity</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setEvents(java.lang.Iterable)">setEvents</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setEvents(java.util.Set)">setEvents</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setExceptionFormat(java.lang.Object)">setExceptionFormat</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setExceptionFormat(org.gradle.api.tasks.testing.logging.TestExceptionFormat)">setExceptionFormat</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setMaxGranularity(int)">setMaxGranularity</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setMinGranularity(int)">setMinGranularity</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setShowCauses(boolean)">setShowCauses</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setShowExceptions(boolean)">setShowExceptions</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setShowStackTraces(boolean)">setShowStackTraces</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setShowStandardStreams(boolean)">setShowStandardStreams</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setStackTraceFilters(java.lang.Iterable)">setStackTraceFilters</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#setStackTraceFilters(java.util.Set)">setStackTraceFilters</a>, <a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html#stackTraceFilters(java.lang.Object...)">stackTraceFilters</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDebug()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebug</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;getDebug()</pre>
<div class="block">Returns logging options for debug level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>logging options for debug level</dd></dl>
</li>
</ul>
<a name="setDebug(org.gradle.api.tasks.testing.logging.TestLogging)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebug</h4>
<pre>void&nbsp;setDebug(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</pre>
<div class="block">Sets logging options for debug level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>logging</code> - logging options for debug level</dd></dl>
</li>
</ul>
<a name="debug(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>void&nbsp;debug(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</pre>
<div class="block">Configures logging options for debug level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - logging options for debug level</dd></dl>
</li>
</ul>
<a name="getInfo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInfo</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;getInfo()</pre>
<div class="block">Gets logging options for info level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>logging options for info level</dd></dl>
</li>
</ul>
<a name="setInfo(org.gradle.api.tasks.testing.logging.TestLogging)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInfo</h4>
<pre>void&nbsp;setInfo(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</pre>
<div class="block">Sets logging options for info level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>logging</code> - logging options for info level</dd></dl>
</li>
</ul>
<a name="info(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>info</h4>
<pre>void&nbsp;info(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</pre>
<div class="block">Configures logging options for info level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - logging options for info level</dd></dl>
</li>
</ul>
<a name="getLifecycle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLifecycle</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;getLifecycle()</pre>
<div class="block">Returns logging options for lifecycle level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>logging options for lifecycle level</dd></dl>
</li>
</ul>
<a name="setLifecycle(org.gradle.api.tasks.testing.logging.TestLogging)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLifecycle</h4>
<pre>void&nbsp;setLifecycle(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</pre>
<div class="block">Sets logging options for lifecycle level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>logging</code> - logging options for lifecycle level</dd></dl>
</li>
</ul>
<a name="lifecycle(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lifecycle</h4>
<pre>void&nbsp;lifecycle(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</pre>
<div class="block">Configures logging options for lifecycle level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - logging options for lifecycle level</dd></dl>
</li>
</ul>
<a name="getWarn()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWarn</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;getWarn()</pre>
<div class="block">Gets logging options for warn level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>logging options for warn level</dd></dl>
</li>
</ul>
<a name="setWarn(org.gradle.api.tasks.testing.logging.TestLogging)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWarn</h4>
<pre>void&nbsp;setWarn(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</pre>
<div class="block">Sets logging options for warn level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>logging</code> - logging options for warn level</dd></dl>
</li>
</ul>
<a name="warn(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warn</h4>
<pre>void&nbsp;warn(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</pre>
<div class="block">Configures logging options for warn level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - logging options for warn level</dd></dl>
</li>
</ul>
<a name="getQuiet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQuiet</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;getQuiet()</pre>
<div class="block">Returns logging options for quiet level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>logging options for quiet level</dd></dl>
</li>
</ul>
<a name="setQuiet(org.gradle.api.tasks.testing.logging.TestLogging)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQuiet</h4>
<pre>void&nbsp;setQuiet(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</pre>
<div class="block">Sets logging options for quiet level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>logging</code> - logging options for quiet level</dd></dl>
</li>
</ul>
<a name="quiet(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quiet</h4>
<pre>void&nbsp;quiet(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</pre>
<div class="block">Configures logging options for quiet level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - logging options for quiet level</dd></dl>
</li>
</ul>
<a name="getError()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getError</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;getError()</pre>
<div class="block">Returns logging options for error level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>logging options for error level</dd></dl>
</li>
</ul>
<a name="setError(org.gradle.api.tasks.testing.logging.TestLogging)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setError</h4>
<pre>void&nbsp;setError(<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;logging)</pre>
<div class="block">Sets logging options for error level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>logging</code> - logging options for error level</dd></dl>
</li>
</ul>
<a name="error(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>error</h4>
<pre>void&nbsp;error(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&gt;&nbsp;action)</pre>
<div class="block">Configures logging options for error level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - logging options for error level</dd></dl>
</li>
</ul>
<a name="get(org.gradle.api.logging.LogLevel)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>get</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging">TestLogging</a>&nbsp;get(<a href="../../../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level)</pre>
<div class="block">Returns logging options for the specified level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>level</code> - the level whose logging options are to be returned</dd>
<dt><span class="strong">Returns:</span></dt><dd>logging options for the specified level</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestLogging.html" title="interface in org.gradle.api.tasks.testing.logging"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/api/tasks/testing/logging/TestStackTraceFilter.html" title="enum in org.gradle.api.tasks.testing.logging"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/api/tasks/testing/logging/TestLoggingContainer.html" target="_top">Frames</a></li>
<li><a href="TestLoggingContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
